#!/usr/bin/bash

# Copyright (c) 2020 Huawei Technologies Co.,Ltd.ALL rights reserved.
# This program is licensed under Mulan PSL v2.
# You can use it according to the terms and conditions of the Mulan PSL v2.
#          http://license.coscl.org.cn/MulanPSL2
# THIS PROGRAM IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
# EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
# MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
# See the Mulan PSL v2 for more details.

# #############################################
# @Author    :   Classicriver_jia
# @Contact   :   classicriver_jia@foxmail.com
# @Date      :   2020-6-19
# @License   :   Mulan PSL v2
# @Desc      :   Log View
# #############################################

source ${OET_PATH}/libs/locallibs/common_lib.sh
function config_params() {
	LOG_INFO "No params need to config."
}

function pre_test() {
	LOG_INFO "No pkgs need to install."
}

function run_test() {
	LOG_INFO "Start to run test."
	ls /var/log
	CHECK_RESULT $?
	tail -f /var/log/messages >log 2>&1 &
	log_line1=$(cat log | wc -l)
	SLEEP_WAIT 1
	useradd test1 && userdel -r test1
	SLEEP_WAIT 4
	log_line2=$(cat log | wc -l)
	test $((log_line1)) -ne $((log_line2))
	CHECK_RESULT $?
	grep audit /var/log/messages
	CHECK_RESULT $?
	LOG_INFO "End to run test."
}

function post_test() {
	LOG_INFO "Start to restore the test environment."
	pid=$(ps -ef | grep "tail" | grep -v grep | awk '{print $2}')
	kill -9 ${pid}
	rm -rf log
	LOG_INFO "End to restore the test environment."
}

main $@
